## liggghts 3.0.2+repack

=== debian/changelog ===
liggghts (3.0.2+repack-1) unstable; urgency=medium

  * [ae36cd8] Add Files-Excluded to copyright-file.
  * [b745737] Exclude LAMMPS-examples.
  * [61a906b] Imported Upstream version 3.0.2+repack
  * [2566925] Set minimal vtk6 version to 6.1.0+dfsg-7.
  * [fb1a0c1] Add libxdmf-dev to BD.
  * [268930b] Remove .gitignore from examples.

 -- Anton Gladky <gladk@debian.org>  Sun, 15 Jun 2014 19:49:34 +0200

liggghts (3.0.1+repack-2) unstable; urgency=medium

  * [84cab80] Fix autopkgtest. (Closes: #747339)

 -- Anton Gladky <gladk@debian.org>  Sat, 17 May 2014 22:53:31 +0200

liggghts (3.0.1+repack-1) unstable; urgency=medium

  * [f333916] Imported Upstream version 3.0.1+repack
  * [ce0d980] Build against VTK6 instead of VTK5.
  * [f8e3515] Add autotest.
  * [833caea] Set Standards-Version: 3.9.5. No changes.

 -- Anton Gladky <gladk@debian.org>  Wed, 23 Apr 2014 22:21:33 +0200
