## liggghts 3.0.3+repack

=== debian/changelog ===
liggghts (3.0.3+repack-2) unstable; urgency=medium

  * [57ea03a] Specify components for VTK. (Closes: #765106).
  * [a8da87d] Set Standards-Version: 3.9.6. No changes.

 -- Anton Gladky <gladk@debian.org>  Tue, 14 Oct 2014 22:56:37 +0200

liggghts (3.0.3+repack-1) unstable; urgency=medium

  * [d604745] Remove xdmf from BD.
  * [43935b3] Imported Upstream version 3.0.3+repack

 -- Anton Gladky <gladk@debian.org>  Sun, 07 Sep 2014 20:23:50 +0200
