=== debian/control ===
--- 
+++ 
@@ -9,15 +9,14 @@
  libjpeg-dev,
  libpython-dev,
  libqt4-opengl-dev,
- libvtk6-dev (>= 6.1.0+dfsg-7),
- libxdmf-dev,
+ libvtk6-dev (>= 6.1.0+dfsg-8),
  mpi-default-bin,
  mpi-default-dev
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Anton Gladky <gladk@debian.org>
 Homepage: http://www.liggghts.com/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/liggghts.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/liggghts.git
 XS-Testsuite: autopkgtest
