=== debian/changelog ===
liggghts (3.1.0+repack1-1) unstable; urgency=medium

  * [6ac272b] Use cme fix dpkg-control.

 -- Anton Gladky <gladk@debian.org>  Wed, 06 May 2015 22:16:12 +0200

liggghts (3.1.0+repack1-1~exp1) experimental; urgency=medium

  * [4d4603b] Add some more files to exclude in d/copyright.
  * [39f1279] Imported Upstream version 3.1.0+repack1
  * [ea63dab] Update patches.
  * [a0b9219] Enable C++11 for build.
  * [c74e08e] Remove README.source.

 -- Anton Gladky <gladk@debian.org>  Tue, 17 Mar 2015 21:46:02 +0100
