=== debian/changelog ===
liggghts (3.2.0+repack1-2ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 08:12:32 +0000

liggghts (3.2.0+repack1-2) unstable; urgency=medium

  * [7db5a48] Update d/watch.
  * [ba29637] Update d/copyright.
  * [b81a33d] Refresh patches.
  * [9d49744] Imported Upstream version 3.2.0+repack1

 -- Anton Gladky <gladk@debian.org>  Mon, 22 Jun 2015 18:17:22 +0200
