=== debian/control ===
--- 
+++ 
@@ -1,37 +1,34 @@
 Source: liggghts
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Anton Gladky <gladk@debian.org>
 Section: science
+Testsuite: autopkgtest
 Priority: extra
-Build-Depends:
- cmake,
- debhelper (>= 9),
- libboost-mpi-dev,
- libeigen3-dev,
- libjpeg-dev,
- libpython-dev,
- libqt4-opengl-dev,
- libvtk6-dev (>= 6.1.0+dfsg-8),
- mpi-default-bin,
- mpi-default-dev
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders:
- Anton Gladky <gladk@debian.org>
+Build-Depends: cmake,
+               debhelper (>= 9),
+               libboost-mpi-dev,
+               libeigen3-dev,
+               libjpeg-dev,
+               libpython-dev,
+               libqt4-opengl-dev,
+               libvtk6-dev,
+               mpi-default-bin,
+               mpi-default-dev
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/liggghts.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/liggghts.git
 Homepage: http://www.liggghts.com/
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/liggghts.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/liggghts.git
-XS-Testsuite: autopkgtest
 
 Package: libliggghts-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Pre-Depends:
- ${misc:Pre-Depends}
-Multi-Arch: same
-Depends:
- libliggghts3 (= ${binary:Version}),
- mpi-default-bin,
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: libliggghts3v5 (= ${binary:Version}),
+         mpi-default-bin,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Open Source DEM Particle Simulation Software. Development files
  LIGGGHTS stands for LAMMPS improved for general granular and granular
  heat transfer simulations.
@@ -45,15 +42,15 @@
  .
  The package contains development files.
 
-Package: libliggghts3
+Package: libliggghts3v5
 Architecture: any
-Depends:
- mpi-default-bin,
- ${misc:Depends},
- ${shlibs:Depends}
-Pre-Depends:
- ${misc:Pre-Depends}
 Multi-Arch: same
+Depends: mpi-default-bin,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Conflicts: libliggghts3
+Replaces: libliggghts3
 Description: Open Source DEM Particle Simulation Software. Shared library
  LIGGGHTS stands for LAMMPS improved for general granular and granular
  heat transfer simulations.
@@ -67,17 +64,17 @@
  .
  The package contains shared library.
 
-Package: libliggghts3-dbg
+Package: libliggghts3v5-dbg
 Architecture: any
+Multi-Arch: same
 Section: debug
-Pre-Depends:
- ${misc:Pre-Depends}
-Multi-Arch: same
-Depends:
- liggghts (= ${binary:Version}),
- mpi-default-bin,
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: liggghts (= ${binary:Version}),
+         mpi-default-bin,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Conflicts: libliggghts3-dbg
+Replaces: libliggghts3-dbg
 Description: Open Source DEM Particle Simulation Software. Debugging symbols
  LIGGGHTS stands for LAMMPS improved for general granular and granular
  heat transfer simulations.
@@ -94,13 +91,11 @@
 Package: liggghts
 Architecture: any
 Multi-Arch: foreign
-Depends:
- libliggghts3 (>= ${source:Version}),
- mpi-default-bin,
- ${misc:Depends},
- ${shlibs:Depends}
-Recommends:
- paraview
+Depends: libliggghts3v5 (>= ${source:Version}),
+         mpi-default-bin,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: paraview
 Description: Open Source DEM Particle Simulation Software.
  LIGGGHTS stands for LAMMPS improved for general granular and granular
  heat transfer simulations.
@@ -115,12 +110,10 @@
 Package: liggghts-doc
 Architecture: all
 Section: doc
-Depends:
- mpi-default-bin,
- ${misc:Depends},
- ${shlibs:Depends}
-Recommends:
- liggghts
+Depends: mpi-default-bin,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: liggghts
 Description: Open Source DEM Particle Simulation Software. Dcoumentation and examples
  LIGGGHTS stands for LAMMPS improved for general granular and granular
  heat transfer simulations.
