=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 endif
 
 override_dh_strip:
-	dh_strip --dbg-package=libliggghts3-dbg
+	dh_strip --dbg-package=libliggghts3v5-dbg
 
 override_dh_installexamples:
 	dh_installexamples
