=== debian/changelog ===
liggghts (3.3.1+repack1-1build2) xenial; urgency=medium

  * No-change rebuild for openmpi on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2016 19:49:42 +0000

liggghts (3.3.1+repack1-1build1) xenial; urgency=medium

  * No-change rebuild for openmpi transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Feb 2016 11:31:00 +0000

liggghts (3.3.1+repack1-1) unstable; urgency=medium

  * [3697863] Imported Upstream version 3.3.1+repack1
  * [662e977] Refresh patches.
  * [df1a7e8] Remove dbg-file.

 -- Anton Gladky <gladk@debian.org>  Sun, 17 Jan 2016 00:55:04 +0100

liggghts (3.2.0+repack1-3) unstable; urgency=medium

  * [62739c0] Add support for VTK6.2. (Closes: #793605)

 -- Anton Gladky <gladk@debian.org>  Tue, 04 Aug 2015 21:14:21 +0200
