=== debian/rules ===
--- 
+++ 
@@ -24,9 +24,6 @@
 	rm -rf test
 endif
 
-override_dh_strip:
-	dh_strip --dbg-package=libliggghts3v5-dbg
-
 override_dh_installexamples:
 	dh_installexamples
 	find $(CURDIR)/debian/ -name ".gitignore" | xargs rm -f
