=== debian/tests/control ===
Tests: heat packing
Depends: liggghts
