## liggghts 3.4.0+repack1

=== debian/changelog ===
liggghts (3.4.0+repack1-2build1) zesty; urgency=medium

  * No-change rebuild against libopenmpi2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 22 Oct 2016 01:36:26 +0000

liggghts (3.4.0+repack1-2) unstable; urgency=medium

  * [ead3d70] Disable mpi-test on powerpc.
  * [6492a8e] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Wed, 27 Jul 2016 00:44:20 +0200

liggghts (3.4.0+repack1-1) unstable; urgency=medium

  * [6a5c2a8] Imported Upstream version 3.4.0+repack1
  * [157da23] Refresh patches.
  * [9a184e0] Apply cme fix dpkg.
  * [ea651a2] Update d/copyright.

 -- Anton Gladky <gladk@debian.org>  Wed, 15 Jun 2016 22:12:40 +0200
