=== debian/control ===
--- 
+++ 
@@ -15,16 +15,16 @@
                libvtk6-dev,
                mpi-default-bin,
                mpi-default-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/liggghts.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/liggghts.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/liggghts.git
 Homepage: http://www.liggghts.com/
 
 Package: libliggghts-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libliggghts3v5 (= ${binary:Version}),
+Depends: libliggghts3 (= ${binary:Version}),
          mpi-default-bin,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -42,15 +42,13 @@
  .
  The package contains development files.
 
-Package: libliggghts3v5
+Package: libliggghts3
 Architecture: any
 Multi-Arch: same
 Depends: mpi-default-bin,
          ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Conflicts: libliggghts3
-Replaces: libliggghts3
 Description: Open Source DEM Particle Simulation Software. Shared library
  LIGGGHTS stands for LAMMPS improved for general granular and granular
  heat transfer simulations.
@@ -64,34 +62,10 @@
  .
  The package contains shared library.
 
-Package: libliggghts3v5-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Depends: liggghts (= ${binary:Version}),
-         mpi-default-bin,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Conflicts: libliggghts3-dbg
-Replaces: libliggghts3-dbg
-Description: Open Source DEM Particle Simulation Software. Debugging symbols
- LIGGGHTS stands for LAMMPS improved for general granular and granular
- heat transfer simulations.
- .
- LAMMPS is a classical molecular dynamics simulator. It is widely used in
- the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
- LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR
- package to perform these kind of simulations. LIGGGHTS aims to improve those
- capability with the goal to apply it to industrial applications.
- Development version.
- .
- The package contains debugging symbols.
-
 Package: liggghts
 Architecture: any
 Multi-Arch: foreign
-Depends: libliggghts3v5 (>= ${source:Version}),
+Depends: libliggghts3 (>= ${source:Version}),
          mpi-default-bin,
          ${misc:Depends},
          ${shlibs:Depends}
