=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 disable_auto_test_archs_simpl = armel armhf 
-disable_auto_test_archs_mpi = hurd-i386 mips mipsel s390 s390x
+disable_auto_test_archs_mpi = hurd-i386 mips mipsel s390 s390x powerpc
 
 override_dh_auto_test:
 ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_mpi)))
