=== debian/changelog ===
liggghts (3.5.0+repack1-9) unstable; urgency=medium

  * [a879ac6] Do not fail on mpi-errors. (Closes: #851726)

 -- Anton Gladky <gladk@debian.org>  Wed, 18 Jan 2017 22:46:29 +0100

liggghts (3.5.0+repack1-8) unstable; urgency=medium

  * [2219bae] Fix variable name in d/rules.

 -- Anton Gladky <gladk@debian.org>  Fri, 30 Dec 2016 08:26:31 +0100

liggghts (3.5.0+repack1-7) unstable; urgency=medium

  * [6079250] Disable test on mips64el (unstable).

 -- Anton Gladky <gladk@debian.org>  Fri, 30 Dec 2016 00:24:51 +0100

liggghts (3.5.0+repack1-6) unstable; urgency=medium

  * [96fa01f] Add mips64el to disable_auto_test_archs_mpi in d/rules.

 -- Anton Gladky <gladk@debian.org>  Thu, 29 Dec 2016 20:02:34 +0100

liggghts (3.5.0+repack1-5) unstable; urgency=medium

  [ Graham Inggs ]
  * [fe1b4d7] Replace OMPI_MCA_orte_rsh_agent by OMPI_MCA_plm_rsh_agent
              for autopkgtests too
  * [5037eeb] Allow --oversubscribe for autopkgtests

 -- Anton Gladky <gladk@debian.org>  Wed, 28 Dec 2016 19:01:44 +0100

liggghts (3.5.0+repack1-4) unstable; urgency=medium

  [ Graham Inggs ]
  * Restrictions: allow-stderr on the tests, for compatibility with current
    openmpi.
  * Update autopkgtests with examples from 3.5.0.

  [ Anton Gladky ]
  * Use --parallel build again

 -- Anton Gladky <gladk@debian.org>  Tue, 08 Nov 2016 20:25:41 +0100

liggghts (3.5.0+repack1-2) unstable; urgency=medium

  * [8031b0e] Do not use parallel build. Fails on some platforms.
  * [6a2a7ed] Fix autotests.

 -- Anton Gladky <gladk@debian.org>  Sat, 05 Nov 2016 15:46:43 +0100

liggghts (3.5.0+repack1-1) unstable; urgency=medium

  * [784df99] New upstream version 3.5.0+repack1
  * [4101537] Refresh patches.

 -- Anton Gladky <gladk@debian.org>  Thu, 27 Oct 2016 23:04:19 +0200
