## liggghts 3.7.0%2Brepack1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
 
 SET(LIGGGHTS_MAJOR_VERSION 3)
-SET(LIGGGHTS_MINOR_VERSION 2)
-SET(LIGGGHTS_PATCH_VERSION 1)
+SET(LIGGGHTS_MINOR_VERSION 7)
+SET(LIGGGHTS_PATCH_VERSION 0)
 SET(LIGGGHTS_VERSION ${LIGGGHTS_MAJOR_VERSION}.${LIGGGHTS_MINOR_VERSION}.${LIGGGHTS_PATCH_VERSION})
 
 IF (NOT CMAKE_CXX_FLAGS)
@@ -29,6 +29,12 @@
   ADD_CUSTOM_TARGET(GenerateHeaders
            COMMAND GenerateHeaders.bat ${CYGWIN_INSTALL_PATH}
            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/WINDOWS)
+  # enable parallelization
+  foreach(flag_var
+          CMAKE_C_FLAGS_RELEASE CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO
+          CMAKE_CXX_FLAGS_RELEASE CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
+            set(${flag_var} "${${flag_var}} /MP4")
+  endforeach()
 ELSE()
   ADD_CUSTOM_TARGET(GenerateHeaders
            COMMAND sh Make.sh style
@@ -110,6 +116,8 @@
 #        RUNTIME DESTINATION bin
 #        LIBRARY DESTINATION lib)
 
-install(TARGETS liggghts_bin
-        RUNTIME DESTINATION bin
-        LIBRARY DESTINATION lib)
+#install(TARGETS liggghts_bin
+#        RUNTIME DESTINATION bin
+#        LIBRARY DESTINATION lib)
+
+install(TARGETS liggghts_bin DESTINATION ${CMAKE_INSTALL_PREFIX})
