=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 export OMPI_MCA_plm_rsh_agent=/bin/false		#workaround to start MPI-applications in chroot
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 disable_auto_test_archs_simpl = armel armhf mips64el
 disable_auto_test_archs_mpi = hurd-i386 mips mipsel mips64el s390 s390x powerpc
@@ -14,7 +15,7 @@
 ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_mpi)))
 	mkdir test
 	cp -r examples/LIGGGHTS/Tutorials_public/heatTransfer_1/* test/
-	cd test; mpirun -np 2 $(BUILDDIR)/src/liggghts < in.heatGran || true
+	cd test; mpirun -np 2 --oversubscribe $(BUILDDIR)/src/liggghts < in.heatGran
 	rm -rf test
 endif
 ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_simpl)))
